Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update Node version pre-flight check #1634

Merged
merged 2 commits into from Jan 18, 2019

Conversation

Projects
None yet
3 participants
@gnidan
Copy link
Member

commented Jan 17, 2019

  • Fix to match actual minimum requirement of v8.9.4
  • Use semver to check compatibility
  • Reörder imports nitpickingly
  • Switch to "string"+"math" in case Node version doesn't support backtick syntax
  • Reword error, remove line-break.
Update Node version pre-flight check
- Fix to match actual minimum requirement of v8.9.4
- Use semver to check compatibility
- Reörder imports nitpickingly
- Switch to "string"+"math" in case Node version doesn't support `${}`
- Reword error, remove line-break.

@gnidan gnidan requested review from eggplantzzz and removed request for eggplantzzz Jan 17, 2019

@gnidan

This comment has been minimized.

Copy link
Member Author

commented Jan 17, 2019

(Unrequesting review while I look into those tests)

@gnidan

This comment has been minimized.

Copy link
Member Author

commented Jan 18, 2019

Thanks for cleaning up my mess @eggplantzzz :D

@coveralls

This comment has been minimized.

Copy link

commented Jan 18, 2019

Coverage Status

Coverage increased (+0.01%) to 69.815% when pulling 1712433 on node-version-compatibility into f4071ec on develop.

@eggplantzzz

This comment has been minimized.

Copy link
Contributor

commented Jan 18, 2019

Looks great! Into it...

@gnidan gnidan merged commit d15834b into develop Jan 18, 2019

3 checks passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details
coverage/coveralls Coverage increased (+0.01%) to 69.815%
Details

@gnidan gnidan deleted the node-version-compatibility branch Jan 18, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.